- Home
- Download

- GitHub

- News
- Documentation

- FAQ
- Tutorial
- API reference
- Examples

- XML Digital Signature
- XML Encryption
- XML Canonicalization
- Reporting Bugs
- Mailing list
- Related
- Authors

## version

version — Version macros.

## Stability Level

Stable, unless otherwise indicated

## Types and Values

#define | XMLSEC_VERSION
#define | XMLSEC_VERSION_MAJOR
#define | XMLSEC_VERSION_MINOR
#define | XMLSEC_VERSION_SUBMINOR
#define | XMLSEC_VERSION_INFO

## Description

## Functions

## Types and Values

### XMLSEC_VERSION

    #define XMLSEC_VERSION            "1.3.10"

The library version string in the format "$major_number.$minor_number.$sub_minor_number".

### XMLSEC_VERSION_MAJOR

    #define XMLSEC_VERSION_MAJOR        1

The library major version number.

### XMLSEC_VERSION_MINOR

    #define XMLSEC_VERSION_MINOR        3

The library minor version number.

### XMLSEC_VERSION_SUBMINOR

    #define XMLSEC_VERSION_SUBMINOR        10

The library sub-minor version number.

### XMLSEC_VERSION_INFO

    #define XMLSEC_VERSION_INFO        "4:10:3"

The library version info string in the format "$major_number+$minor_number:$sub_minor_number:$minor_number".